Pay a BOLT11 invoice from the authenticated user's wallet.
curl --request POST \
--url https://openagents.com/api/payments/pay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invoice": "lnbc10u1...",
"host": "sats4ai.com",
"maxAmountMsats": 100000,
"maxAmountSats": 100,
"timeoutMs": 12000
}
'import requests
url = "https://openagents.com/api/payments/pay"
payload = {
"invoice": "lnbc10u1...",
"host": "sats4ai.com",
"maxAmountMsats": 100000,
"maxAmountSats": 100,
"timeoutMs": 12000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
invoice: 'lnbc10u1...',
host: 'sats4ai.com',
maxAmountMsats: 100000,
maxAmountSats: 100,
timeoutMs: 12000
})
};
fetch('https://openagents.com/api/payments/pay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {}
}{
"message": "Unauthenticated."
}{
"errors": {},
"message": "The given data was invalid."
}Agent Payments
Pay a BOLT11 invoice from the authenticated user's wallet.
POST
/
api
/
payments
/
pay
Pay a BOLT11 invoice from the authenticated user's wallet.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Pay a BOLT11 invoice from the authenticated user wallet.
Response
Successful response
Create a Lightning invoice from the authenticated user's wallet.Send sats to another Spark address from authenticated user's wallet.
⌘I